=== debian/changelog ===
opencpn-plugin-objsearch (0.21-0~201903302049~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Converted to quilt build

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 05:51:34 -0700

opencpn-plugin-objsearch (0.21-0~201903302049~ubuntu19.04.1) disco; urgency=low

  * Auto build.

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 Mar 2019 20:54:16 +0000

opencpn-plugin-objsearch (0.21-1) unstable; urgency=medium

  * New icon

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 Mar 2019 17:40:17 -0300

opencpn-plugin-objsearch (0.20-1) unstable; urgency=medium

  * Initial release for O5 using CI

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 13 Mar 2019 09:01:17 -0300
